콘텐츠로 이동

직속 상위 조직에 정산 위임

POST
/api/core/organization/{organizationId}/settlement/delegation
curl --request POST \
--url https://www.easterad.com/api/core/organization/example/settlement/delegation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'
organizationId
required
string
/^[0-9a-fA-F]{24}$/
Media typeapplication/json
object
Examplegenerated
{}

성공

Media typeapplication/json
object
delegatedToParentId
string
parentOrganizationId
string
children
required
Array<object>
object
organizationId
required
string
name
required
string
Examplegenerated
{
"delegatedToParentId": "example",
"parentOrganizationId": "example",
"children": [
{
"organizationId": "example",
"name": "example"
}
]
}

오류 — 공통 오류 응답. 인증 단계 오류 코드는 문서의 “인증” 페이지를 참조.

Media typeapplication/json
object
statusCode
required
number
code
required

BadRequest | Unauthorized | Forbidden | NotFound | Conflict | TooManyRequests | InternalServerError | ServiceUnavailable

string
message
required
string
reason

선택 상세 사유. 예: CREATIVE_NOT_READY

string
assetId

관련 소재 ID (선택)

string
authorization
object
reason
required
Any of:
number
0
condition
required
Any of:
number
0
permissions
required
Array<object>
object
statement
required
string
label
required
string
Example
{
"authorization": {
"reason": 0,
"condition": 0
}
}